Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9788)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9795)
@@ -204,5 +204,8 @@
         form = self.request.form
         self.hitlist = []
-        if 'searchterm' in form and form['searchterm']:
+        if form.get('searchtype', None) == 'suspended':
+            self.searchtype = form['searchtype']
+            self.searchterm = None
+        elif 'searchterm' in form and form['searchterm']:
             self.searchterm = form['searchterm']
             self.searchtype = form['searchtype']
@@ -244,5 +247,8 @@
         form = self.request.form
         self.hitlist = []
-        if 'searchterm' in form and form['searchterm']:
+        if form.get('searchtype', None) == 'suspended':
+            self.searchtype = form['searchtype']
+            self.searchterm = None
+        elif 'searchterm' in form and form['searchterm']:
             self.searchterm = form['searchterm']
             self.searchtype = form['searchtype']
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/containermanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 9788)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 9795)
@@ -13,4 +13,7 @@
     <option i18n:translate="" value="depcode">in department</option>
     <option i18n:translate="" value="current_mode">in study mode</option>
+    <option i18n:translate="" value="suspended">
+      with deactivated account (search term omitted)
+    </option>
   </select>
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/containerpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 9788)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 9795)
@@ -13,4 +13,7 @@
     <option i18n:translate="" value="depcode">in department</option>
     <option i18n:translate="" value="current_mode">in study mode</option>
+    <option i18n:translate="" value="suspended">
+      with deactivated account (search term omitted)
+    </option>
   </select>
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/catalog.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/catalog.py	(revision 9788)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/catalog.py	(revision 9795)
@@ -80,4 +80,12 @@
         results = Query().searchResults(
             Text(('students_catalog', searchtype), query))
+    elif searchtype == 'suspended':
+        # 'suspended' is not indexed
+        cat = queryUtility(ICatalog, name='students_catalog')
+        all = cat.searchResults(student_id=(None, None))
+        for student in all:
+            if student.suspended:
+                hitlist.append(StudentQueryResultItem(student, view=view))
+        return hitlist
     else:
         # Temporary solution to display all students added
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9788)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9795)
@@ -368,4 +368,16 @@
         self.assertTrue('Anna Tester' in self.browser.contents)
         # The old searchterm will be used again
+        self.browser.getControl("Search").click()
+        self.assertTrue('Anna Tester' in self.browser.contents)
+
+        # We can find suspended students
+        self.student.suspended = True
+        notify(grok.ObjectModifiedEvent(self.student))
+        self.browser.open(self.manage_container_path)
+        self.browser.getControl(name="searchtype").value = ['suspended']
+        self.browser.getControl("Search").click()
+        self.assertTrue('Anna Tester' in self.browser.contents)
+        self.browser.open(self.container_path)
+        self.browser.getControl(name="searchtype").value = ['suspended']
         self.browser.getControl("Search").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
@@ -845,5 +857,5 @@
         logcontent = open(logfile).read()
         self.assertTrue(
-            '"zope.mgr",K1000000,%s,schoolfee,40000.0,AP,,,,,,,,,,,,\n' % value
+            '"zope.mgr",K1000000,%s,schoolfee,40000.0,AP,,,,,,\n' % value
             in logcontent)
 