Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 9810)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 9811)
@@ -32,5 +32,5 @@
 #   If you enable this, please make sure the external services
 #   do exist really and are not bothered by being spammed by a test programme.
-EXTERNAL_TESTS = True
+EXTERNAL_TESTS = False
 
 def external_test(func):
@@ -118,15 +118,15 @@
         self.assertMatches('...Total Amount Authorized:...',
                            self.browser.contents)
-        self.assertMatches(
-            '...<input type="hidden" name="amount" value="3710000.0" />...',
-            self.browser.contents)
-        self.assertMatches(
-            '...item_name="School Fee" item_amt="3380000" bank_id="120" acct_num="1771180233"...',
-            self.browser.contents)
-        self.assertMatches(
-            '...item_name="Dalash" item_amt="180000" bank_id="117" acct_num="1013196791"...',
-            self.browser.contents)
-        self.assertMatches(
-            '...item_name="BT Education" item_amt="120000" bank_id="117" acct_num="1010764827"...',
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="3660000.0" />' in
+            self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee" item_amt="3330000" bank_id="120" acct_num="1771180233"' in
+            self.browser.contents)
+        self.assertTrue(
+            'item_name="Dalash" item_amt="180000" bank_id="117" acct_num="1013196791"' in
+            self.browser.contents)
+        self.assertTrue(
+            'item_name="BT Education" item_amt="120000" bank_id="117" acct_num="1010764827"' in
             self.browser.contents)
 
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 9810)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 9811)
@@ -27,5 +27,19 @@
 from waeup.kwarapoly.interfaces import MessageFactory as _
 
-PAYMENT_LEVELS = (10, 100, 200, 210, 300, 400, 500, 510, 600, 999)
+
+# 10  = PreND (1)
+# 100 = ND1 (2)
+# 110 = ND1R (3)
+# 200 = ND2 (4)
+# 210 = ND2R (5)
+# 300 = ND3 (6)
+# 400 = HND1 (7)
+# 410 = HND1R (8)
+# 500 = HND2 (9)
+# 510 = HND2R (10)
+# 600 = HND3 (11)
+# 999 = PGD (12)
+
+PAYMENT_LEVELS = (10, 100, 110, 200, 210, 300, 400, 410, 500, 510, 600, 999)
 
 FEES_PARAMS = (
@@ -38,21 +52,21 @@
 FEES_VALUES = (
         (
-          (
-            (34400.0, 36600.0, 29500.0, 28800.0, 0.0, 38700.0, 30700.0, 29900.0, 0.0, 47250.0), # science
-            (34400.0, 35100.0, 28000.0, 27300.0, 0.0, 37200.0, 29200.0, 28400.0, 0.0, 47250.0)  # arts
+          ( # 10       100      110      200      210     300    400     410      500      510     600   999
+            (34400.0, 36600.0, 28800.0, 29500.0, 28800.0, 0.0, 38700.0, 29900.0, 30700.0, 29900.0, 0.0, 47250.0), # science
+            (34400.0, 35100.0, 27300.0, 28000.0, 27300.0, 0.0, 37200.0, 28400.0, 29200.0, 28400.0, 0.0, 47250.0)  # arts
           ), # local
-          (
-            (49500.0, 52100.0, 38850.0, 35900.0, 0.0, 55600.0, 40850.0, 38600.0, 0.0, 71880.0), # science
-            (49500.0, 50600.0, 37350.0, 34400.0, 0.0, 54100.0, 39350.0, 37100.0, 0.0, 71880.0)  # arts
+          ( # 10       100      110      200      210     300    400     410      500      510     600   999
+            (49500.0, 52100.0, 35900.0, 38850.0, 35900.0, 0.0, 55600.0, 38600.0, 40850.0, 38600.0, 0.0, 71880.0), # science
+            (49500.0, 50600.0, 34400.0, 37350.0, 34400.0, 0.0, 54100.0, 37100.0, 39350.0, 37100.0, 0.0, 71880.0)  # arts
           ), # non-local
         ), # ft
         (
-          (
-            (0.0, 39400.0, 30900.0, 0.0, 30900.0, 39900.0, 31050.0, 0.0, 31050.0, 0.0), # science
-            (0.0, 37900.0, 29400.0, 0.0, 29400.0, 38400.0, 29550.0, 0.0, 29550.0, 0.0)  # arts
+          ( # 10   100     110    200    210   300      400     410   500     510   600     999
+            (0.0, 39400.0, 0.0, 30900.0, 0.0, 30900.0, 39900.0, 0.0, 31050.0, 0.0, 31050.0, 0.0), # science
+            (0.0, 37900.0, 0.0, 29400.0, 0.0, 29400.0, 38400.0, 0.0, 29550.0, 0.0, 29550.0, 0.0)  # arts
           ), # local
-          (
-            (0.0, 54600.0, 32350.0, 0.0, 32350.0, 57100.0, 42350.0, 0.0, 42350.0, 0.0), # science
-            (0.0, 53100.0, 30850.0, 0.0, 30850.0, 55600.0, 40850.0, 0.0, 40850.0, 0.0)  # arts
+          ( # 10   100     110    200    210   300      400     410   500     510   600     999
+            (0.0, 54600.0, 0.0, 32350.0, 0.0, 32350.0, 57100.0, 0.0, 42350.0, 0.0, 42350.0, 0.0), # science
+            (0.0, 53100.0, 0.0, 30850.0, 0.0, 30850.0, 55600.0, 0.0, 40850.0, 0.0, 40850.0, 0.0)  # arts
           ), # non-local
         ), # pt