Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9814)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9815)
@@ -2668,12 +2668,34 @@
         for job_id, exporter_name, user_id in job_entries:
             job = job_manager.get(job_id)
-            descr = 'Export (%r, %r)' % (job.args[1:], job.kwargs)
+
+            # XXX: Descr. should be improved
+            descr = '%r, %r' % (job.args[1:], job.kwargs)
+
+            # XXX: status should be replaced by 'ready', 'running' or 'FAILED'
+            # like in w.k.browser.reports ...
             status = job.status
-            start_time = '%s' % job.begin_after
+            # ... and buttons should be displayed accordingly
+            show_download_button = True
+            show_discard_button = True
+            show_refresh_button = True
+
+
+            start_time = getattr(job, 'begin_after', None)
+            if start_time:
+                start_time = start_time.astimezone(
+                    getUtility(
+                        IKofaUtils).tzinfo).strftime("%Y-%m-%d %H:%M:%S %Z")
             download_url = self.url(self.context, 'download',
                                     data=dict(job_id=job_id))
             new_entry = dict(
-                job=job_id, descr=descr, status=status, start_time=start_time,
-                download_url=download_url)
+                job=job_id,
+                descr=descr,
+                creator=user_id,
+                status=status,
+                start_time=start_time,
+                download_url=download_url,
+                show_download_button = show_download_button,
+                show_refresh_button = show_refresh_button,
+                show_discard_button = show_discard_button,)
             entries.append(new_entry)
         self.entries = entries
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsindex.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 9814)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 9815)
@@ -1,27 +1,56 @@
-<br /><br />
-<div>
-  <form method="POST" tal:repeat="job view/entries">
-    <b><span tal:replace="job/job">666</span></b>
-    <span tal:replace="job/descr">Description</span>
+<table i18n:domain="waeup.kofa">
+  <thead>
+    <tr>
+      <th i18n:translate="">Export Number</th>
+      <th i18n:translate="">Description</th>
+      <th i18n:translate="">Creator</th>
+      <th i18n:translate="">Creation Date</th>
+      <th i18n:translate="">Status</th>
+      <th>&nbsp;</th>
+    </tr>
+  </thead>
+  <tbody>
+    <tr tal:repeat="job view/entries">
+      <td>
+        <span tal:replace="job/job">12</span>
+      </td>
+      <td>
+        <span tal:replace="job/descr">DESCRIPTION</span>
+      </td>
+      <td>
+        <span tal:replace="job/creator">CREATOR</span>
+      </td>
+      <td nowrap>
+        <span tal:replace="job/start_time">DATETIME</span>
+      </td>
+      <td>
+        <span tal:replace="job/status">STATUS</span>
+      </td>
+      <td nowrap>
+        <form method="POST">
+          <input type="hidden" name="job_id"
+                 tal:attributes="value job/job" />
+          <a href="" class="btn primary"
+            tal:attributes="href job/download_url"
+            tal:condition="job/show_download_button">
+            Download</a>
+          <input type="submit" class="btn secondary"
+                 name="DISCARD" value="Discard"
+                 tal:condition="job/show_discard_button" />
+          <a href="" class="btn" i18n:translate=""
+             tal:condition="job/show_refresh_button">
+            <img tal:attributes="src static/actionicon_reload.png" />
+            Reload
+          </a>
+        </form>
+      </td>
+    </tr>
+  </tbody>
+</table>
+<form method="POST" i18n:domain="waeup.kofa">
+  <div class="span12">
 
-    <br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-    start: <span tal:replace="job/start_time">23:55 h</span>
-
-    <br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-    status: <span tal:replace="job/status">completed</span>
-
-    <br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-    <input type="hidden" name="job_id" value=""
-           tal:attributes="value job/job" />
-    <a href="" class="btn" tal:attributes="href job/download_url">
-      Download</a>
-    <input type="submit" class="btn" name="DISCARD"
-           value="Discard" />
-
-  </form>
-</div>
-
-<form method="POST">
-  <input class="btn secondary" type="submit" name="CREATE"
+  </div>
+  <input class="btn primary" type="submit" name="CREATE"
          value="Create new export"
           />