Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9819)
@@ -2535,9 +2535,9 @@
     grok.template('filterstudentspage')
     pnav = 1
-    session_label = _('in session')
-    level_label = _('at level')
+    session_label = _('Current Session')
+    level_label = _('Current Level')
 
     def label(self):
-        return 'Students in %s ...' % self.context.longtitle()
+        return 'Students in %s' % self.context.longtitle()
 
     def _set_session_values(self):
@@ -2605,5 +2605,5 @@
 
     def label(self):
-        return 'Students studying %s ...' % self.context.longtitle()
+        return 'Students studying %s' % self.context.longtitle()
 
     def _searchCatalog(self, session, level):
@@ -2630,5 +2630,5 @@
 
     def label(self):
-        return 'Students registered for %s ...' % self.context.longtitle()
+        return 'Students registered for %s' % self.context.longtitle()
 
     def _searchCatalog(self, session, level):
@@ -2702,5 +2702,5 @@
             entry = self.context.entry_from_job_id(job_id)
             self.context.delete_export_entry(entry)
-            self.flash('Discarded export %s' % job_id)
+            self.flash(_('Discarded export') + ' %s' % job_id)
         self.doll_up()
         return
@@ -2713,5 +2713,5 @@
     grok.name('jobconfig')
     grok.template('exportjobsjobconfig')
-    label = _('Create new export job')
+    label = _('Configure local student data export')
     pnav = 1
 
@@ -2720,5 +2720,5 @@
         self.sessions = sorted(
             [(x.title, x.token) for x in vocab_terms], reverse=True)
-        self.sessions += [('All Sessions', 'all')]
+        self.sessions += [(_('All Sessions'), 'all')]
         return
 
@@ -2727,5 +2727,5 @@
         self.levels = sorted(
             [(x.title, x.token) for x in vocab_terms])
-        self.levels += [('All Levels', 'all')]
+        self.levels += [(_('All Levels'), 'all')]
         return
 
@@ -2734,5 +2734,5 @@
         self.modes = [(value, key) for key, value in
                       utils.STUDY_MODES_DICT.items()]
-        self.modes +=[('All Modes', 'all')]
+        self.modes +=[(_('All Modes'), 'all')]
         return
 
@@ -2765,6 +2765,6 @@
                                       current_mode=mode,
                                       depcode=code)
-        self.flash('Export started for students from %s '
-                   '(session=%s, level=%s, mode=%s)' % (
+        self.flash(_('Export started for students from') +
+                   ' %s (current_session=%s, current_level=%s, study_mode=%s)' % (
                        code, session, level, mode))
         self.redirect(self.url(self.context))
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsindex.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 9817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 9819)
@@ -53,5 +53,5 @@
   </div>
   <input class="btn primary" type="submit" name="CREATE"
-         value="Create new export"
+         value="Configure new export"
           />
 </form>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsjobconfig.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsjobconfig.pt	(revision 9817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsjobconfig.pt	(revision 9819)
@@ -1,51 +1,55 @@
-Export students with...
-
-<form method="POST">
-  <label for="session" class="span2">
-    Session
+<form i18n:domain="waeup.kofa" method="POST">
+  <label for="mode" i18n:translate="">
+    Exporter (Data Type):
   </label>
-  &nbsp;
-  <select name="session">
-    <option tal:repeat="item view/sessions"
-            tal:attributes="value python:item[1]">
-      <span tal:replace="python: item[0]">2012</span>
-    </option>
-  </select>
+  <div class="input">
+    <select name="exporter">
+      <option tal:repeat="item view/exporters"
+              tal:attributes="value python:item[1]">
+        <span tal:replace="python: item[0]">Students</span>
+      </option>
+    </select>
+  </div>
   <br />
-  <label for="level" class="span2">
-    Course Level
+  <label for="session" i18n:translate="">
+    Current Session:
   </label>
-  &nbsp;
-  <select name="level">
-    <option tal:repeat="item view/levels"
-            tal:attributes="value python:item[1]">
-      <span tal:replace="python: item[0]">200</span>
-    </option>
-  </select>
+  <div class="input">
+    <select name="session">
+      <option tal:repeat="item view/sessions"
+              tal:attributes="value python:item[1]">
+        <span tal:replace="python: item[0]">2012/2013</span>
+      </option>
+    </select>
+  </div>
   <br />
-  <label for="mode" class="span2">
-    Study Mode
+  <label for="level" i18n:translate="">
+    Current Level:
   </label>
-  &nbsp;
-  <select name="mode">
-    <option tal:repeat="item view/modes"
-            tal:attributes="value python:item[1]">
-      <span tal:replace="python: item[0]">ug_ft</span>
-    </option>
-  </select>
+  <div class="input">
+    <select name="level">
+      <option tal:repeat="item view/levels"
+              tal:attributes="value python:item[1]">
+        <span tal:replace="python: item[0]">200</span>
+      </option>
+    </select>
+  </div>
   <br />
-  <label for="mode" class="span2">
-    Exporter
+  <label for="mode" i18n:translate="">
+    Current Study Mode:
   </label>
-  &nbsp;
-  <select name="exporter">
-    <option tal:repeat="item view/exporters"
-            tal:attributes="value python:item[1]">
-      <span tal:replace="python: item[0]">Students</span>
-    </option>
-  </select>
-  <br />
-  <hr />
-  <input type="submit" name="START" value="Create"
-         class="btn primary" />
+  <div class="input">
+    <select name="mode">
+      <option tal:repeat="item view/modes"
+              tal:attributes="value python:item[1]">
+        <span tal:replace="python: item[0]">ug_ft</span>
+      </option>
+    </select>
+  </div>
+  <br /><br />
+  <div class="input">
+  <input type="submit" name="START"  i18n:translate=""
+    value="Create export now"
+    class="btn primary" />
+  </div>
 </form>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/filterstudentspage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/filterstudentspage.pt	(revision 9817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/filterstudentspage.pt	(revision 9819)
@@ -17,5 +17,5 @@
     </select>
   </div>
-  <br /><br />
+  <br />
   <label for="levels">
     <span tal:replace="view/level_label">LEVEL</span>: