Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 9806)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 9821)
@@ -3,81 +3,77 @@
     <div class="span8 columns">
       <p i18n:translate="">
-	Here you can create CSV files from parts of portal data.
+        Here you can create CSV files from parts of portal data.
       </p>
       <p i18n:translate="">
-	Please pick the type of objects you want to export from the
-	selection below.
+        Please pick the type of objects you want to export from the
+        selection below.
       </p>
       <p i18n:translate="">
-	The file will be generated and then be made available for you
-	to download. You must download or discard any existing export
-	file before creating a new one.
+        The file will be generated and then be made available for you
+        to download. You must download or discard any existing export
+        file before creating a new one.
       </p>
     </div>
-
     <form  method="POST">
       <fieldset>
-	<div class="clearfix">
-	  <label for="running_exports"
-		 tal:condition="view/getRunningExports">Running Export:</label>
-	  <div class="input span6">
-	    <div tal:repeat="items view/getRunningExports">
-	      <div>
-		Data type:
-		<span tal:content="python: items[2]">exporter</span><br />
-		Status:
-		<span tal:content="python: items[1]">status</span><br />
-		<br /><br />
-	      </div>
-	      <div>
-		<span tal:condition="not: python: view.job_finished(items[0])">
-		  <img src=""
-		       tal:attributes="src static/ajax-loader.gif"
-		       alt="Loading..."
-		       class="spinner" />
-		  <input type="submit" name="reload" value="Reload"
-			 class="btn primary" />
-		</span>
-		<div>
-		  <span tal:condition="python: view.job_finished(items[0])">
-		    <input type="submit" name="download" value="Download"
-			   class="btn primary" />
-		    <input type="submit" name="discard" value="Discard"
-			 class="btn secondary" />
-		  </span>
-		</div>
-	      </div>
-	    </div>
+        <label for="running_exports"
+          tal:condition="view/getRunningExports">Running Export:
+        </label>
 
-	    <div>
-	      <tal:loading_bar content="structure provider:loadingbar" />
-	    </div>
-	  </div>
 
-	  <div class="clearfix"
-	       tal:condition="not: view/getRunningExports">
-	    <label for="exporter">Data Type:</label>
-	    <div class="input">
-	      <select name="exporter">
-		<span tal:repeat="items view/getExporters" tal:omit-tag="">
-		  <option
-		      tal:define="name python: items[1]; title python: items[0]"
-		      tal:attributes="value name">
-		    <span tal:replace="title">TITLE</span>
-		  </option>
-		</span>
-	      </select>
-	      <span class="help-inline" i18n:translate="">
-		Type of objects to export
-	      </span>
-	    </div>
-	  </div>
-	  <div class="input"
-	       tal:condition="not: view/getRunningExports">
-	    <input i18n:translate="" type="submit" class="btn primary"
-		   name="start_export"
-		   tal:attributes="value view/export_button" />
-	  </div>
-	</div>
+        <div class="input span6">
+          <div tal:repeat="items view/getRunningExports">
+            Data type:
+            <span tal:content="python: items[2]">exporter
+            </span><br />
+              Status:
+            <span tal:content="python: items[1]">status
+            </span>
+            <br /><br /><br />
+            <span tal:condition="not: python: view.job_finished(items[0])">
+              <img src="" tal:attributes="src static/ajax-loader.gif"
+                alt="Loading..."  class="spinner" />
+              <input type="submit" name="reload" value="Reload"
+                class="btn primary" />
+            </span>
+            <div>
+              <span tal:condition="python: view.job_finished(items[0])">
+                <input type="submit" name="download" value="Download"
+                  class="btn primary" />
+                <input type="submit" name="discard" value="Discard"
+                  class="btn secondary" />
+              </span>
+            </div>
+          </div>
+          <div>
+            <tal:loading_bar content="structure provider:loadingbar" />
+          </div>
+        </div>
+
+
+        <div class="clearfix" tal:condition="not: view/getRunningExports">
+          <label for="exporter">Data Type:
+          </label>
+          <div class="input">
+            <select name="exporter">
+              <span tal:repeat="items view/getExporters" tal:omit-tag="">
+                <option tal:define="name python: items[1]; title python: items[0]"
+                  tal:attributes="value name">
+                <span tal:replace="title">TITLE
+                </span>
+                </option>
+              </span>
+            </select>
+            <span class="help-inline" i18n:translate="">
+              Type of objects to export
+            </span>
+          </div>
+        </div>
+
+
+        <div class="input" tal:condition="not: view/getRunningExports">
+          <input i18n:translate="" type="submit" class="btn primary"
+            name="start_export" tal:attributes="value view/export_button" />
+        </div>
       </fieldset>
     </form>