Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 9834)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 9835)
@@ -70,4 +70,6 @@
 from waeup.kofa.datacenter import DataCenterFile
 
+from waeup.kofa.students.export import EXPORTER_NAMES as STUDENT_EXPORTERS
+
 grok.context(IKofaObject)
 grok.templatedir('templates')
@@ -1543,5 +1545,6 @@
         utils = getUtilitiesFor(ICSVExporter)
         title_name_tuples = [
-            (util.title, name) for name, util in utils]
+            (util.title, name) for name, util in utils
+            if not name in STUDENT_EXPORTERS]
         # The exporter for access codes requires a special permission.
         if not checkPermission('waeup.manageACBatches', self.context):
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 9834)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 9835)
@@ -1,4 +1,4 @@
 <p i18n:translate="">
-  Here you can create CSV files from parts of portal data.
+  Here you can create CSV files from parts of portal data except student data.
   Please pick the type of objects you want to export from the
   selection below. The file will be generated and then be
@@ -29,4 +29,11 @@
   </div>
 </form>
+
+<br />
+
+<p i18n:translate="">
+  Student data exports have to be further configured. You can create CSV files
+  on the corresponding <a href="jobconfig">configuration page</a>.
+</p>
 
 <br /><br />
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py	(revision 9834)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py	(revision 9835)
@@ -278,4 +278,36 @@
                          in self.browser.contents)
 
+    def test_export_students(self):
+        # we can trigger export file creation
+        self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
+        self.browser.open(self.datacenter_path)
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.url, self.datacenter_path)
+        self.browser.getLink("Export data").click()
+        self.browser.getLink("configuration page").click()
+        self.browser.getControl(name="exporter").value = ['students']
+        self.browser.getControl(name="session").value = ['all']
+        self.browser.getControl(name="level").value = ['all']
+        self.browser.getControl(name="mode").value = ['all']
+        self.browser.getControl("Create CSV file").click()
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        job_id = self.wait_for_export_job_completed()
+        self.browser.open(self.datacenter_path + '/export')
+        self.browser.getLink("Download").click()
+        self.assertEqual(self.browser.headers['content-type'],
+                         'text/csv; charset=UTF-8')
+        self.assertEqual(self.browser.headers['content-disposition'],
+                         'attachment; filename="WAeUP.Kofa_students.csv')
+        # No students yet
+        self.assertEqual(self.browser.contents,
+            'adm_code,clearance_locked,clr_code,date_of_birth,email,'
+            'employer,firstname,lastname,matric_number,middlename,'
+            'nationality,officer_comment,perm_address,personal_updated,'
+            'phone,reg_number,sex,student_id,suspended,suspended_comment,'
+            'password,state,history,certcode,is_postgrad,current_level,'
+            'current_session\r\n')
+        self.cleanup_run_job() 
+        return
+
     def test_export_discard(self):
         # we can discard a generated export result
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9834)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9835)
@@ -2653,5 +2653,7 @@
 
 class ExportJobContainerOverview(KofaPage):
-    """Page that filters and lists students.
+    """Page that lists active student data export jobs and provides links
+    to discard or download CSV files.
+
     """
     grok.context(VirtualExportJobContainer)
@@ -2684,4 +2686,5 @@
     label = _('Configure student data export')
     pnav = 1
+    redirect_target = ''
 
     def _set_session_values(self):
@@ -2740,8 +2743,10 @@
                    ' current_session=%s, current_level=%s, study_mode=%s' % (
                    session, level, mode))
+        self.redirect(self.url(self.redirect_target))
         return
 
 class ExportJobContainerDownload(ExportCSVView):
-    """Page that configures a students export job.
+    """Page that downloads a students export csv file.
+
     """
     grok.context(VirtualExportJobContainer)
@@ -2753,5 +2758,5 @@
     """
     grok.context(IDataCenter)
-
+    redirect_target = '@@export'
 
 class DepartmentExportJobContainerJobConfig(ExportJobContainerJobConfig):
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsjobconfig.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsjobconfig.pt	(revision 9834)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsjobconfig.pt	(revision 9835)
@@ -50,5 +50,5 @@
   <div class="input">
   <input type="submit" name="START"  i18n:translate=""
-    value="Create export now"
+    value="Create CSV file"
     class="btn primary" />
   </div>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9834)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9835)
@@ -2752,5 +2752,5 @@
         self.browser.getControl(name="level").value = ['100']
         self.browser.getControl(name="mode").value = ['ug_ft']
-        self.browser.getControl("Create export now").click()
+        self.browser.getControl("Create CSV file").click()
 
         # When the job is finished and we reload the page...