Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 9835)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 9836)
@@ -1556,7 +1556,13 @@
             job_id = self.context.start_export_job(
                 exporter, self.request.principal.id)
+            ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
+            self.context.logger.info(
+                '%s - exported: %s, job_id=%s' % (ob_class, exporter, job_id))
         if DISCARD and job_id:
             entry = self.context.entry_from_job_id(job_id)
             self.context.delete_export_entry(entry)
+            ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
+            self.context.logger.info(
+                '%s - discarded: job_id=%s' % (ob_class, job_id))
             self.flash(_('Discarded export') + ' %s' % job_id)
         self.entries = doll_up(self, user=None)
@@ -1591,5 +1597,6 @@
         #    self.context.entry_from_job_id(job_id))
         ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
-        self.context.logger.info('%s - exported: %s' % (ob_class, filename))
+        self.context.logger.info(
+            '%s - downloaded: %s, job_id=%s' % (ob_class, filename, job_id))
         return result
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 9835)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 9836)
@@ -34,5 +34,5 @@
 <p i18n:translate="">
   Student data exports have to be further configured. You can create CSV files
-  on the corresponding <a href="jobconfig">configuration page</a>.
+  on the corresponding <a href="@@exportconfig">configuration page</a>.
 </p>
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py	(revision 9835)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py	(revision 9836)
@@ -224,6 +224,8 @@
             self.app['datacenter'].storage, 'logs', 'datacenter.log')
         logcontent = open(logfile).read()
+        self.assertTrue('zope.mgr - browser.pages.ExportCSVPage - exported: '
+                        'faculties, job_id=' in logcontent)
         self.assertTrue('zope.mgr - browser.pages.ExportCSVView - '
-                        'exported: WAeUP.Kofa_faculties.csv' in logcontent)
+                        'downloaded: WAeUP.Kofa_faculties.csv, job_id=' in logcontent)
         return
 
@@ -308,4 +310,14 @@
             'current_session\r\n')
         self.cleanup_run_job() 
+        logfile = os.path.join(
+            self.app['datacenter'].storage, 'logs', 'datacenter.log')
+        logcontent = open(logfile).read()
+        self.assertTrue(
+            'zope.mgr - students.browser.DatacenterExportJobContainerJobConfig '
+            '- exported: students (None, None, None, None), job_id='
+            in logcontent)
+        self.assertTrue(
+            'zope.mgr - browser.pages.ExportCSVView '
+            '- downloaded: WAeUP.Kofa_students.csv, job_id=' in logcontent)
         return
 
@@ -317,4 +329,10 @@
         self.browser.getControl("Discard").click()
         self.assertTrue('Discarded export' in self.browser.contents)
+        logfile = os.path.join(
+            self.app['datacenter'].storage, 'logs', 'datacenter.log')
+        logcontent = open(logfile).read()
+        self.assertTrue(
+            'zope.mgr - browser.pages.ExportCSVPage - discarded: job_id='
+            in logcontent)
         return
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9835)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9836)
@@ -2666,9 +2666,12 @@
     def update(self, CREATE=None, DISCARD=None, job_id=None):
         if CREATE:
-            self.redirect(self.url('jobconfig'))
+            self.redirect(self.url('@@exportconfig'))
             return
         if DISCARD and job_id:
             entry = self.context.entry_from_job_id(job_id)
             self.context.delete_export_entry(entry)
+            ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
+            self.context.logger.info(
+                '%s - discarded: job_id=%s' % (ob_class, job_id))
             self.flash(_('Discarded export') + ' %s' % job_id)
         self.entries = doll_up(self, user=self.request.principal.id)
@@ -2681,7 +2684,7 @@
     """
     grok.baseclass()
-    grok.name('jobconfig')
+    grok.name('exportconfig')
     grok.require('waeup.showStudents')
-    grok.template('exportjobsjobconfig')
+    grok.template('exportconfig')
     label = _('Configure student data export')
     pnav = 1
@@ -2735,9 +2738,14 @@
         if mode == 'all':
             mode = None
-        self.context.start_export_job(exporter, self.request.principal.id,
+        job_id = self.context.start_export_job(exporter,
+                                      self.request.principal.id,
                                       current_session=session,
                                       current_level=level,
                                       current_mode=mode,
                                       depcode=self.depcode)
+        ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
+        self.context.logger.info(
+            '%s - exported: %s (%s, %s, %s, %s), job_id=%s'
+            % (ob_class, exporter, session, level, mode, self.depcode, job_id))
         self.flash(_('Export started for students with') +
                    ' current_session=%s, current_level=%s, study_mode=%s' % (
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportconfig.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportconfig.pt	(revision 9836)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportconfig.pt	(revision 9836)
@@ -0,0 +1,55 @@
+<form i18n:domain="waeup.kofa" method="POST">
+  <label for="mode" i18n:translate="">
+    Exporter (Data Type):
+  </label>
+  <div class="input">
+    <select name="exporter">
+      <option tal:repeat="item view/exporters"
+              tal:attributes="value python:item[1]">
+        <span tal:replace="python: item[0]">Students</span>
+      </option>
+    </select>
+  </div>
+  <br />
+  <label for="session" i18n:translate="">
+    Current Session:
+  </label>
+  <div class="input">
+    <select name="session">
+      <option tal:repeat="item view/sessions"
+              tal:attributes="value python:item[1]">
+        <span tal:replace="python: item[0]">2012/2013</span>
+      </option>
+    </select>
+  </div>
+  <br />
+  <label for="level" i18n:translate="">
+    Current Level:
+  </label>
+  <div class="input">
+    <select name="level">
+      <option tal:repeat="item view/levels"
+              tal:attributes="value python:item[1]">
+        <span tal:replace="python: item[0]">200</span>
+      </option>
+    </select>
+  </div>
+  <br />
+  <label for="mode" i18n:translate="">
+    Current Study Mode:
+  </label>
+  <div class="input">
+    <select name="mode">
+      <option tal:repeat="item view/modes"
+              tal:attributes="value python:item[1]">
+        <span tal:replace="python: item[0]">ug_ft</span>
+      </option>
+    </select>
+  </div>
+  <br /><br />
+  <div class="input">
+  <input type="submit" name="START"  i18n:translate=""
+    value="Create CSV file"
+    class="btn primary" />
+  </div>
+</form>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsjobconfig.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsjobconfig.pt	(revision 9835)
+++ 	(revision )
@@ -1,55 +1,0 @@
-<form i18n:domain="waeup.kofa" method="POST">
-  <label for="mode" i18n:translate="">
-    Exporter (Data Type):
-  </label>
-  <div class="input">
-    <select name="exporter">
-      <option tal:repeat="item view/exporters"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">Students</span>
-      </option>
-    </select>
-  </div>
-  <br />
-  <label for="session" i18n:translate="">
-    Current Session:
-  </label>
-  <div class="input">
-    <select name="session">
-      <option tal:repeat="item view/sessions"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">2012/2013</span>
-      </option>
-    </select>
-  </div>
-  <br />
-  <label for="level" i18n:translate="">
-    Current Level:
-  </label>
-  <div class="input">
-    <select name="level">
-      <option tal:repeat="item view/levels"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">200</span>
-      </option>
-    </select>
-  </div>
-  <br />
-  <label for="mode" i18n:translate="">
-    Current Study Mode:
-  </label>
-  <div class="input">
-    <select name="mode">
-      <option tal:repeat="item view/modes"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">ug_ft</span>
-      </option>
-    </select>
-  </div>
-  <br /><br />
-  <div class="input">
-  <input type="submit" name="START"  i18n:translate=""
-    value="Create CSV file"
-    class="btn primary" />
-  </div>
-</form>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9835)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9836)
@@ -2775,5 +2775,13 @@
         logcontent = open(logfile).read()
         self.assertTrue(
-            'INFO - zope.mgr - students.browser.ExportJobContainerDownload - '
-            'exported: WAeUP.Kofa_students.csv'
+            'zope.mgr - students.browser.DepartmentExportJobContainerJobConfig '
+            '- exported: students (2004, 100, ug_ft, dep1), job_id='
             )
+        self.assertTrue(
+            'zope.mgr - students.browser.ExportJobContainerDownload '
+            '- downloaded: WAeUP.Kofa_students.csv, job_id='
+            )
+        self.assertTrue(
+            'zope.mgr - students.browser.ExportJobContainerOverview '
+            '- discarded: job_id='
+            )