Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 9838)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 9839)
@@ -207,5 +207,4 @@
         exporter_title = getattr(exporter, 'title', 'Unknown')
         args = ', '.join([str(x) for x in job.kwargs.values()])
-        descr = '%s <br> (%s)' % (exporter_title, args)
         status = job.finished and 'ready' or 'running'
         status = job.failed and 'FAILED' or status
@@ -219,6 +218,7 @@
         new_entry = dict(
             job=job_id,
-            descr=descr,
             creator=user_id,
+            args=args,
+            exporter=exporter_title,
             status=status,
             start_time=start_time,
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/static/waeup-base.css
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/static/waeup-base.css	(revision 9838)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/static/waeup-base.css	(revision 9839)
@@ -98,4 +98,11 @@
   padding-right: 8px;
   padding-top: 4px;
+  text-align: center;
+}
+
+.btn.small {
+    font-size: 11px;
+    padding: 4px 6px;
+    width: 50px;
 }
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 9838)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 9839)
@@ -43,5 +43,6 @@
     <tr>
       <th i18n:translate="">Export Number</th>
-      <th i18n:translate="">Description</th>
+      <th i18n:translate="">Exporter</th>
+      <th i18n:translate="">Filter</th>
       <th i18n:translate="">Creator</th>
       <th i18n:translate="">Creation Date</th>
@@ -56,5 +57,8 @@
       </td>
       <td>
-        <span tal:replace="structure job/descr">DESCRIPTION</span>
+        <span tal:replace="structure job/exporter">EXPORTER</span>
+      </td>
+      <td>
+        <span tal:replace="structure job/args">ARGS</span>
       </td>
       <td>
@@ -68,17 +72,18 @@
       </td>
       <td nowrap>
-        <a href="" class="btn" i18n:translate=""
+        <a href="" class="btn small" i18n:translate=""
            tal:condition="job/show_refresh_button">
           <img tal:attributes="src static/actionicon_reload.png" />
           Reload
         </a>
-        <a href="" class="btn primary"
-               tal:attributes="href job/download_url"
-               tal:condition="job/show_download_button">
-          Download</a>
         <form method="POST">
+          <a href="" class="btn primary small"
+                 tal:attributes="href job/download_url"
+                 tal:condition="job/show_download_button">
+            Download</a>
+
           <input type="hidden" name="job_id"
                  tal:attributes="value job/job" />
-          <input type="submit" class="btn secondary"
+          <input type="submit" class="btn small"
                  name="DISCARD" value="Discard"
                  tal:condition="job/show_discard_button" />
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsindex.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 9838)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 9839)
@@ -3,5 +3,6 @@
     <tr>
       <th i18n:translate="">Export Number</th>
-      <th i18n:translate="">Description</th>
+      <th i18n:translate="">Exporter</th>
+      <th i18n:translate="">Filter</th>
       <th i18n:translate="">Creator</th>
       <th i18n:translate="">Creation Date</th>
@@ -16,5 +17,8 @@
       </td>
       <td>
-        <span tal:replace="structure job/descr">DESCRIPTION</span>
+        <span tal:replace="structure job/exporter">EXPORTER</span>
+      </td>
+      <td>
+        <span tal:replace="structure job/args">ARGS</span>
       </td>
       <td>
@@ -33,12 +37,14 @@
           Reload
         </a>
-        <a href="" class="btn primary"
-               tal:attributes="href job/download_url"
-               tal:condition="job/show_download_button">
-          Download</a>
+
         <form method="POST">
+          <a href="" class="btn primary small"
+                 tal:attributes="href job/download_url"
+                 tal:condition="job/show_download_button">
+            Download</a>
+
           <input type="hidden" name="job_id"
                  tal:attributes="value job/job" />
-          <input type="submit" class="btn secondary"
+          <input type="submit" class="btn small"
                  name="DISCARD" value="Discard"
                  tal:condition="job/show_discard_button" />